Bug 1114644 - Permission to view individual compute resource VMs is incorrect
Summary: Permission to view individual compute resource VMs is incorrect
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Dominic Cleal
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-30 14:25 UTC by Bryan Kearney
Modified: 2016-04-22 15:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-11 12:29:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6331 None None None 2016-04-22 15:10:21 UTC

Description Bryan Kearney 2014-06-30 14:25:14 UTC
There's no "show_compute_resources_vms" permission seeded in Foreman, which is used when browsing a compute resource and trying to view details about an individual VM.  This prevents a user from navigating to the VM's console, unless it happens to be associated to a host.

Comment 1 Bryan Kearney 2014-06-30 14:25:15 UTC
Created from redmine issue http://projects.theforeman.org/issues/6331

Comment 2 Bryan Kearney 2014-06-30 14:25:20 UTC
Upstream bug assigned to dcleal@redhat.com

Comment 4 Bryan Kearney 2014-06-30 14:37:34 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/6331 has been closed

Comment 7 Dominic Cleal 2014-08-14 14:29:17 UTC
1. add a compute resource that already contains VMs (maybe create a host and disassociate it)
2. create a user with view_compute_resources and view_compute_resources_vms permissions
3. as the user, browse to the compute resource, virtual machines tab and try to view a console

actual result: the console link was missing or disabled
expected result: the console loads

Comment 8 Kedar Bidarkar 2014-08-14 15:10:00 UTC
this is verified with sat6-GA-snap4

Had to use the below permissions

a) view_compute_resources
b) view_compute_resources_vms 
c) console_compute_resources_vms

and followed the above mentioned steps.



Installed Packages

    candlepin-0.9.19-1.el6_5.noarch
    candlepin-scl-1-5.el6_4.noarch
    candlepin-scl-quartz-2.1.5-5.el6_4.noarch
    candlepin-scl-rhino-1.7R3-1.el6_4.noarch
    candlepin-scl-runtime-1-5.el6_4.noarch
    candlepin-selinux-0.9.19-1.el6_5.noarch
    candlepin-tomcat6-0.9.19-1.el6_5.noarch
    createrepo-0.9.9-21.2.pulp.el6sat.noarch
    elasticsearch-0.90.10-4.el6sat.noarch
    katello-1.5.0-28.el6sat.noarch
    katello-ca-1.0-1.noarch
    katello-certs-tools-1.5.6-1.el6sat.noarch
    katello-installer-0.0.57-1.el6sat.noarch
    m2crypto-0.21.1.pulp-10.el6sat.x86_64
    mod_wsgi-3.4-1.pulp.el6sat.x86_64
    pulp-katello-0.3-3.el6sat.noarch
    pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
    pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
    pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
    pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
    pulp-server-2.4.0-0.30.beta.el6sat.noarch
    python-gofer-qpid-1.3.0-1.el6sat.noarch
    python-isodate-0.5.0-1.pulp.el6sat.noarch
    python-kombu-3.0.15-12.pulp.el6sat.noarch
    python-pulp-bindings-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-puppet-common-2.4.0-0.30.beta.el6sat.noarch
    python-pulp-rpm-common-2.4.0-0.30.beta.el6sat.noarch
    python-qpid-0.22-14.el6sat.noarch
    python-qpid-qmf-0.22-33.el6.x86_64
    qpid-cpp-client-0.22-42.el6.x86_64
    qpid-cpp-server-0.22-42.el6.x86_64
    qpid-cpp-server-linearstore-0.22-42.el6.x86_64
    qpid-java-client-0.22-6.el6.noarch
    qpid-java-common-0.22-6.el6.noarch
    qpid-proton-c-0.7-1.el6.x86_64
    qpid-qmf-0.22-33.el6.x86_64
    qpid-tools-0.22-12.el6.noarch
    ruby193-rubygem-katello-1.5.0-78.el6sat.noarch
    rubygem-hammer_cli_katello-0.0.4-10.el6sat.noarch

Comment 9 Bryan Kearney 2014-09-11 12:29:22 UTC
This was delivered with Satellite 6.0 which was released on 10 September 2014.


Note You need to log in before you can comment on or make changes to this bug.